<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Diploma</title>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
  <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
    <h4 class="h4">Masa Studi Lulusan Program Studi (Khusus Program Diploma Tiga)</h4>
  </div>
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <div class="card-header-action" style="text-align: right;">
            <button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#exampleModal">
              <i class="fa fa-plus-circle"></i> Tambah Data
            </button>

            <!-- Modal -->
            <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
              <div class="modal-dialog modal-lg">
                <div class="modal-content">
                  <form th:action="@{/diploma/save}" method="post">
                    <div class="modal-header">
                      <h5 class="modal-title" id="exampleModalLabel">Tambah Data</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body" style="text-align: left;">
                      <div class="form-group mb-3">
                        <label>Tahun Masuk</label>
                        <input type="text" class="form-control" name="tahunMasuk">
                        <input type="hidden" name="prodi" th:value="${prodi.id}">
                        <input type="hidden" name="tahun" th:value="${tahun}">
                      </div>
                      <div class="form-group mb-3">
                        <label>Jumlah Mahasiswa Diterima</label>
                        <input type="text" class="form-control" name="jumlahMahasiswaDiterima">
                      </div>
                      <hr>
                      <p>Jumlah Mahasiswa yang Lulus pada	</p>
                      <div class="form-group mb-3">
                        <div class="row">
                          <div class="col-md-6 mb-3">
                            <label>Akhir TS-4</label>
                            <input type="text" class="form-control" name="akhirTsEmpat">
                          </div>
                          <div class="col-md-6 mb-3">
                            <label>Akhir TS-3</label>
                            <input type="text" class="form-control" name="akhirTsTiga">
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-md-6 mb-3">
                            <label>Akhir TS-2</label>
                            <input type="text" class="form-control" name="akhirTsDua">
                          </div>
                          <div class="col-md-6 mb-3">
                            <label>Akhir TS-1</label>
                            <input type="text" class="form-control" name="akhirTsSatu">
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-md-12 mb-3">
                            <label>Akhir TS</label>
                            <input type="text" class="form-control" name="akhirTs">
                          </div>
                        </div>
                      </div>
                      <hr>
                      <div class="form-group mb-3">
                        <label>Jumlah Lulusan s.d. Akhir TS</label>
                        <input type="text" class="form-control" name="jumlahLulusan">
                      </div>
                      <div class="form-group mb-3">
                        <label>Rata- rata Masa Studi</label>
                        <input type="text" class="form-control" name="rataMasaStudi">
                      </div>
                      <div class="form-group mb-3">
                        <label>Standar Pendidikan Tinggi yang ditetapkan oleh Perguruan Tinggi</label>
                        <input type="text" class="form-control" name="standarPendidikan">
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Tutup</button>
                      <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>
                  </form>
                </div>
              </div>
            </div>

            <a th:href="@{/akreditasi(prodi = ${prodi.id}, tahun = ${tahun})}" class="btn btn-warning btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
          </div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-md-12" th:if="${success != null}">
              <div class="alert alert-success alert-dismissible fade show" role="alert">
                <strong>Data berhasil di simpan.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
            <div class="col-md-12" th:if="${delete != null}">
              <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <strong>Data berhasil di hapus.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
            <div class="col-md-12" th:if="${error != null}">
              <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <strong th:text="${error}">Data berhasil di hapus.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
          </div>
          <div class="table-responsive">
            <table class="table table-striped table-bordered table-hover">
              <thead class="thead-light" style="--bs-table-bg:#4ba670; color: white;">
              <tr>
                <th rowspan="2">#</th>
                <th rowspan="2" style="text-align: center;">Tahun Masuk</th>
                <th rowspan="2" style="text-align: center;">Jumlah Mahasiswa Diterima</th>
                <th colspan="5" style="text-align: center;">Jumlah Mahasiswa yang Lulus pada</th>
                <th rowspan="2" style="text-align: center;">Jumlah Lulusan s.d. Akhir TS</th>
                <th rowspan="2" style="text-align: center;">Rata- rata Masa Studi</th>
                <th rowspan="2" style="text-align: center;">Standar Pendidikan Tinggi yang ditetapkan oleh Perguruan Tinggi</th>
                <th rowspan="2"></th>
                <th rowspan="2"></th>
              </tr>
              <tr>
                <th style="text-align: center;">Akhir TS-4</th>
                <th style="text-align: center;">Akhir TS-3</th>
                <th style="text-align: center;">Akhir TS-2</th>
                <th style="text-align: center;">Akhir TS-1</th>
                <th style="text-align: center;">Akhir TS</th>
              </tr>
              </thead>
              <tbody>
              <tr th:each="data, row:${list}">
                <td th:text="${(row.index + 1)}"></td>
                <td th:text="${data.tahunMasuk}"></td>
                <td th:text="${data.jumlahMahasiswaDiterima}"></td>
                <td>
                  <span th:if="${data.akhirTsEmpat == null || data.akhirTsEmpat.isEmpty() || data.akhirTsEmpat.isBlank()}" style="background-color: #0a001f; text-align: center;">null null</span>
                  <span th:if="${data.akhirTsEmpat != null}" th:text="${data.akhirTsEmpat}" style="text-align: center;"></span>
                </td>
                <td>
                  <span th:if="${data.akhirTsTiga == null || data.akhirTsTiga.isEmpty() || data.akhirTsTiga.isBlank()}" style="background-color: #0a001f; text-align: center;">null null</span>
                  <span th:if="${data.akhirTsTiga != null}" th:text="${data.akhirTsTiga}" style="text-align: center;"></span>
                </td>
                <td>
                  <span th:if="${data.akhirTsDua == null || data.akhirTsDua.isEmpty() || data.akhirTsDua.isBlank()}" style="background-color: #0a001f; text-align: center;">null null</span>
                  <span th:if="${data.akhirTsDua != null}" th:text="${data.akhirTsDua}" style="text-align: center;"></span>
                </td>
                <td>
                  <span th:if="${data.akhirTsSatu == null || data.akhirTsSatu.isEmpty() || data.akhirTsSatu.isBlank()}" style="background-color: #0a001f; text-align: center;">null null</span>
                  <span th:if="${data.akhirTsSatu != null}" th:text="${data.akhirTsSatu}" style="text-align: center;"></span>
                </td>
                <td>
                  <span th:if="${data.akhirTs == null || data.akhirTs.isEmpty() || data.akhirTs.isBlank()}" style="background-color: #0a001f; text-align: center;">null null</span>
                  <span th:if="${data.akhirTs != null}" th:text="${data.akhirTs}" style="text-align: center;"></span>
                </td>
                <td th:text="${data.jumlahLulusan}" style="text-align: center;"></td>
                <td th:text="${data.rataMasaStudi}" style="text-align: center;"></td>
                <td th:text="${data.standarPendidikan}" style="text-align: center;"></td>
                <td>
                  <a href="" class="btn btn-primary btn-sm"><i class="fa fa-edit"></i></a>
                </td>
                <td>
                  <a th:href="@{/diploma/delete(id = ${data.id})}" onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>
</body>
</html>